Re: [gnet-devel] Compiling Gnet

Hello, and no need to apologize. I don't necessarily need to compile it myself (I hope), that was just the error I came across:

"checking if GLib was compiled with support for threads... no
configure: error: GNet requires a GLib with support for threads enabled!"

Why it would say this I am quite unsure of, especially if the binaries come with gthread enabled.

On Wed, Jun 25, 2008 at 8:19 AM, David Llewellyn-Jones <david-web02 flypig co uk> wrote:
On Wed, 25 Jun 2008, n duarte wrote:

> Thank you very much for that tidbit of information, as well as all others,
> as that is what the problem was. But now it seems glib was compiled without
> gthreads enabled, and I have no idea how to change that. Any suggestions?

Hi Nate,

Is there any particular reason why you want to compile your own version of
glib? As far as I'm aware, the GTK installer from the site previously
mentioned ( ) includes fully
compiled binaries with gthreads enabled (I could be wrong, but I certainly
don't ever remember compiling glib myself!). Unless you have a specific
reason why you want to compile GTK from scratch, you may find it easier to
reinstall the precompiled gtk+-win32-devel version.

It's quite possible that I've misunderstood the problem though, in which case
I do apologise!



gnet-devel-list mailing list
gnet-devel-list gnome org

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]